diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index f88fb6584..3d86c96f7 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -68,6 +68,7 @@ define('pgadmin.browser', [
             return {
               text: text,
               objUrl: generateNodeUrl.call(pgBrowser.Nodes[data._type], treeNodeInfo, 'properties', data, true),
+              nodeType: data._type,
               cur: {
                 from: text.length,
                 to: text.length,
diff --git a/web/pgadmin/tools/erd/static/js/erd_tool/ui_components/BodyWidget.jsx b/web/pgadmin/tools/erd/static/js/erd_tool/ui_components/BodyWidget.jsx
index 106ba4989..cb5f1e2be 100644
--- a/web/pgadmin/tools/erd/static/js/erd_tool/ui_components/BodyWidget.jsx
+++ b/web/pgadmin/tools/erd/static/js/erd_tool/ui_components/BodyWidget.jsx
@@ -371,7 +371,7 @@ export default class BodyWidget extends React.Component {
 
   onDropNode(e) {
     let nodeDropData = JSON.parse(e.dataTransfer.getData('text'));
-    if(nodeDropData.objUrl) {
+    if(nodeDropData.objUrl && nodeDropData.nodeType === 'table') {
       let matchUrl = `/${this.props.params.sgid}/${this.props.params.sid}/${this.props.params.did}/`;
       if(nodeDropData.objUrl.indexOf(matchUrl) == -1) {
         this.props.alertify.error(gettext('Cannot drop table from outside of the current database.'));
